import csv


def lecture_fichier(nom_fichier):
    with open(nom_fichier, mode='r', encoding='utf-8-sig') as fichier_ouvert:
        return [ligne for ligne in csv.reader(fichier_ouvert)]


liste_des_sommets = lecture_fichier('sommets.csv')

#  Afficher la liste complète des sommets
print(liste_des_sommets)
print()



#  Corrigé de la question 2

def creer_liste(liste_complete):
    """
    Cette fonction prend en paramètre la liste de liste complète
    [['Elevation', 'Name', 'Lat_dec', 'Long_dec'],
     ['2180', 'Jabal Asoteriba (new)', '21.86500', '36.50916'],
     ['2218', 'Jabal Erba (new)', '20.74583', '36.84083'],
     ['5468', 'Cerro Castillo', '-33.97583', '-69.88166'],
     ['2987', 'Scud Peak', '57.24111', '-131.16750'], ... ]
    
    Elle renvoie un liste simplifiée de p-uplets
    [('Jabal Asoteriba (new)', '2180'), ('Jabal Erba (new)', '2218'),
     ('Cerro Castillo', '5468'), ('Scud Peak', '2987'),... ]
    
    """
    liste_simplifiee = []
    for element in liste_complete[1:]:
        liste_simplifiee.append((element[1], element[0]))
    return liste_simplifiee


#  Afficher la liste simplifiée des sommets
ma_liste = creer_liste(liste_des_sommets)
print(ma_liste)
print()


#  Question 3

def tri_selection(liste):
    """
    
    Parameters
    ----------
    liste : TYPE liste de p-uplets
        C'est la liste simplifiée ses sommets
        [('Jabal Asoteriba (new)', '2180'), ('Jabal Erba (new)', '2218'),
         ('Cerro Castillo', '5468'), ('Scud Peak', '2987'),... ]

    Returns
    -------
    copie : TYPE liste de p-uplets
    La liste simplifiée des sommets triée par ordre décroissant des altitudes.
    On utilise l'algorithme du tri par sélection.

    """
    
    #  Commencer par copier la liste_lettres, pour qu'elle ne soit pas
    #  modifiée en place par l'algorithme de tri.
    pass
    
    #  Pour i allant depuis le début jusqu'à l'avant dernier rang.
    #  La partie non encore triée commence à l'indice i.
    pass
        #  Chercher où se trouve le plus grand élément dans la partie non triée.
        #  Pour j allant depuis le suivant de i jusqu'au dernier rang.
    pass
            #  Comparer uniquement la valeur du 2e élément de chaque tuple.
    pass


#  Afficher la liste simplifiée des sommets triée par altitudes décroissantes.
ma_liste_decroissante = tri_selection(ma_liste)
print(ma_liste_decroissante)
print()    
    
    
#  Question 4

def plus_hauts1(liste_triee, n):
    """
    
    Parameters
    ----------
    liste_triee : TYPE liste de p-uplets
        C'est la liste simplifiée des sommets par altitudes décroissantes
        [('Mt. Everest', '8848'), ('K2', '8611'), ('Kangchenjunga', '8586'),
         ('Makalu', '8485'), ('Cho Oyu', '8188'),... ]

    Returns
    -------
    selection1 : TYPE liste de p-uplets
    La liste des n premiers tuples de liste_triee.

    """
    
    pass

    
#  Afficher la liste simplifiée des sommets triée par altitudes décroissantes.
les_4_plus_hauts = plus_hauts1(ma_liste_decroissante, 4)
print(les_4_plus_hauts)
print()    
    
        
#  Question 5

def plus_hauts2(liste_triee, altitude):
    """
    
    Parameters
    ----------
    liste_triee : TYPE liste de p-uplets
        C'est la liste simplifiée des sommets par altitudes décroissantes
        [('Mt. Everest', '8848'), ('K2', '8611'), ('Kangchenjunga', '8586'),
         ('Makalu', '8485'), ('Cho Oyu', '8188'),... ]
    
    altitude : TYPE entier
        C'est l'altitude minimale des sommets apparaissant dans la selection2.

    Returns
    -------
    selection2 : TYPE liste de p-uplets
    La liste des tuples de liste_triee dont l'altitude est supérieure ou égale
    à altitude.

    """
    
    pass


    
#  Afficher la liste simplifiée des sommets plus haut que 4807.
plus_hauts_que_4807 = plus_hauts2(ma_liste_decroissante, 4807)
print(plus_hauts_que_4807)
print()    
        
    
    